Skip to main content
POST
Create a new Allocation

Path Parameters

productId
integer
required

The ID of the Product

supplierapi
string
required
Pattern: supplier|apiv1/supplier

Body

application/json

Allocation details to create

allocationName
string
required

Name of the Allocation.

defaultQuantity
integer
required

Default quantity for this Allocation.

productPricesDetailsIds
string
required

IDs for the ProductPricesDetails that this Allocation should apply to.

startDate
string

Start date of this Allocation.

endDate
string

End date of this Allocation.

blockoutDays
string

Days of the week when the product is not available.

bookingDetailId
integer

ID for the BookingDetail Object for this allocation.

bookingBuffer
integer

Number of days before booking date to disable reservations.

Response

Returned when successful.